Subject: bug#65035: 29.1; Port flycheck-emacs-lisp-initialize-packages to flymake

From: João Távora <[email-masked]>
Date: Wed, 23 Oct 2024 12:15:22 +0100

On Wed, Oct 23, 2024 at 11:33 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Pengji Zhang <[email-masked]>
> > Date: Wed, 23 Oct 2024 17:01:23 +0800
> >
> > I am switching to Flymake and I missed this feature as well. I think
> > this bug report is related:
> >
> >     https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48452
> >
> > In that thread João gave a patch that implements this feature (sort of):
> >
> >     https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48452#43
> >
> > Although it was not installed.
>
> Adding Spencer, who nowadays maintains Flymake, and João.

Feel free to use my patch of course.  Stefan noted some time ago
that -f package-initialize is the wrong flag to ask Emacs -Q to use
elpa though, so there's something better.

João